Module org.apache.derby.tools
Package org.apache.derby.tools

## Class dblook

- java.lang.Object
- - org.apache.derby.tools.dblook

-     public final class dblook
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `dblook​(String[] args)` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static String` | `addQuotes​(String name)` |
    `static String` | `addSingleQuotes​(String name)` |
    `static String` | `expandDoubleQuotes​(String name)` |
    `static String` | `getColNameFromNumber​(String tableId, int colNum)` |
    `static String` | `getColumnListFromDescription​(String tableId, String description)` |
    `static boolean` | `isExcludedTable​(String tableName)` |
    `static boolean` | `isIgnorableSchema​(String schemaName)` |
    `static String` | `lookupMessage​(String key)` |
    `static String` | `lookupMessage​(String key, String[] vals)` |
    `static String` | `lookupSchemaId​(String schemaId)` |
    `static String` | `lookupTableId​(String tableId)` |
    `static void` | `main​(String[] args)` |
    `static String` | `removeNewlines​(String str)` |
    `static boolean` | `stringContainsTargetTable​(String str)` |
    `static String` | `stripQuotes​(String quotedName)` |
    `static String` | `unExpandDoubleQuotes​(String name)` | inverse of expandDoubleQuotes
    `static void` | `writeVerboseOutput​(String key, String value)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### dblook

          public dblook​(String[] args)
                 throws Exception

      Throws:
        `Exception`

  - ### Method Detail

    - #### main

          public static void main​(String[] args)

    - #### getColumnListFromDescription

          public static String getColumnListFromDescription​(String tableId,
                                                            String description)
                                                     throws SQLException

      Throws:
        `SQLException`

    - #### getColNameFromNumber

          public static String getColNameFromNumber​(String tableId,
                                                    int colNum)
                                             throws SQLException

      Throws:
        `SQLException`

    - #### addQuotes

          public static String addQuotes​(String name)

    - #### addSingleQuotes

          public static String addSingleQuotes​(String name)

    - #### stripQuotes

          public static String stripQuotes​(String quotedName)

    - #### isExcludedTable

          public static boolean isExcludedTable​(String tableName)

    - #### isIgnorableSchema

          public static boolean isIgnorableSchema​(String schemaName)

    - #### stringContainsTargetTable

          public static boolean stringContainsTargetTable​(String str)

    - #### expandDoubleQuotes

          public static String expandDoubleQuotes​(String name)

    - #### unExpandDoubleQuotes

          public static String unExpandDoubleQuotes​(String name)

      inverse of expandDoubleQuotes

    - #### lookupSchemaId

          public static String lookupSchemaId​(String schemaId)

    - #### lookupTableId

          public static String lookupTableId​(String tableId)

    - #### writeVerboseOutput

          public static void writeVerboseOutput​(String key,
                                                String value)

    - #### lookupMessage

          public static String lookupMessage​(String key)

    - #### lookupMessage

          public static String lookupMessage​(String key,
                                             String[] vals)

    - #### removeNewlines

          public static String removeNewlines​(String str)